| Flutter Windows Embedder |

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
flutter::GlProcTable Class Reference

`#include <gl_proc_table.h>`

## Public Member Functions
virtual | ~GlProcTable ()
virtual void | GenTextures (GLsizei n, GLuint *textures) const
virtual void | DeleteTextures (GLsizei n, const GLuint *textures) const
virtual void | BindTexture (GLenum target, GLuint texture) const
virtual void | TexParameteri (GLenum target, GLenum pname, GLint param) const
virtual void | TexImage2D (GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const void *data) const

## Static Public Member Functions
static std::shared_ptr< GlProcTable > | Create ()

## Protected Member Functions
| GlProcTable ()

## Detailed Description

Definition at line 18 of file gl_proc_table.h.

## Constructor & Destructor Documentation

## ◆ ~GlProcTable()

flutter::GlProcTable::~GlProcTable | ( |  | ) |
| virtual default

## ◆ GlProcTable()

flutter::GlProcTable::GlProcTable | ( |  | ) |
| protected default

Referenced by Create().

## Member Function Documentation

## ◆ BindTexture()

void flutter::GlProcTable::BindTexture | ( | GLenum | target,
|  | GLuint | texture
| ) |  | const
| virtual

Definition at line 45 of file gl_proc_table.cc.

45 {
46 bind_texture_(target, texture);
47 }

## ◆ Create()

std::shared_ptr< GlProcTable > flutter::GlProcTable::Create | ( |  | ) |
| static

Definition at line 11 of file gl_proc_table.cc.

11 {
12 auto gl = std::shared_ptr<GlProcTable>(new GlProcTable());
13
14 gl->gen_textures_ =
15 reinterpret_cast<GenTexturesProc>(::eglGetProcAddress("glGenTextures"));
16 gl->delete_textures_ = reinterpret_cast<DeleteTexturesProc>(
17 ::eglGetProcAddress("glDeleteTextures"));
18 gl->bind_texture_ =
19 reinterpret_cast<BindTextureProc>(::eglGetProcAddress("glBindTexture"));
20 gl->tex_parameteri_ = reinterpret_cast<TexParameteriProc>(
21 ::eglGetProcAddress("glTexParameteri"));
22 gl->tex_image_2d_ =
23 reinterpret_cast<TexImage2DProc>(::eglGetProcAddress("glTexImage2D"));
24
25 if (!gl->gen_textures_ || !gl->delete_textures_ || !gl->bind_texture_ ||
26 !gl->tex_parameteri_ || !gl->tex_image_2d_) {
27 return nullptr;
28 }
29
30 return gl;
31 }

References GlProcTable().

Referenced by flutter::FlutterWindowsEngine::FlutterWindowsEngine().

## ◆ DeleteTextures()

void flutter::GlProcTable::DeleteTextures | ( | GLsizei | n,
|  | const GLuint * | textures
| ) |  | const
| virtual

Definition at line 41 of file gl_proc_table.cc.

41 {
42 delete_textures_(n, textures);
43 }

## ◆ GenTextures()

void flutter::GlProcTable::GenTextures | ( | GLsizei | n,
|  | GLuint * | textures
| ) |  | const
| virtual

Definition at line 37 of file gl_proc_table.cc.

37 {
38 gen_textures_(n, textures);
39 }

## ◆ TexImage2D()

void flutter::GlProcTable::TexImage2D | ( | GLenum | target,
|  | GLint | level,
|  | GLint | internalformat,
|  | GLsizei | width,
|  | GLsizei | height,
|  | GLint | border,
|  | GLenum | format,
|  | GLenum | type,
|  | const void * | data
| ) |  | const
| virtual

Definition at line 55 of file gl_proc_table.cc.

63 {
64 tex_image_2d_(target, level, internalformat, width, height, border, format,
65 type, data);
66 }

References type.

## ◆ TexParameteri()

void flutter::GlProcTable::TexParameteri | ( | GLenum | target,
|  | GLenum | pname,
|  | GLint | param
| ) |  | const
| virtual

Definition at line 49 of file gl_proc_table.cc.

51 {
52 tex_parameteri_(target, pname, param);
53 }

The documentation for this class was generated from the following files:

- shell/platform/windows/gl_proc_table.h
- shell/platform/windows/gl_proc_table.cc

flutter::GlProcTable::GlProcTable
GlProcTable()
type
enum flutter::testing::@69::KeyboardChange::Type type